package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学校专业QS对象 tb_school_major_qs_record
 * 
 * @author ruoyi
 * @date 2022-11-16
 */
public class TbSchoolMajorQsRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 所属学校id */
    @Excel(name = "所属学校id")
    private Long schoolId;

    private String schoolName;

    /** 专业名称 */
    @Excel(name = "专业名称")
    private String majorName;

    /** 专业排名 */
    @Excel(name = "专业排名")
    private String majorQs;

    /** 专业图标 */
    @Excel(name = "专业图标")
    private String majorIcon;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSchoolId(Long schoolId) 
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId() 
    {
        return schoolId;
    }
    public void setMajorName(String majorName) 
    {
        this.majorName = majorName;
    }

    public String getMajorName() 
    {
        return majorName;
    }
    public void setMajorQs(String majorQs)
    {
        this.majorQs = majorQs;
    }

    public String getMajorQs()
    {
        return majorQs;
    }
    public void setMajorIcon(String majorIcon) 
    {
        this.majorIcon = majorIcon;
    }

    public String getMajorIcon() 
    {
        return majorIcon;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("schoolId", getSchoolId())
            .append("majorName", getMajorName())
            .append("majorQs", getMajorQs())
            .append("majorIcon", getMajorIcon())
            .toString();
    }
}
